extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Estados"
    - var CabeceraListado = ["País", "Estado", "Descripción"]
    - var CantidadListado = "{{ tEstado.length }}"
    - var TituloDatos = "Detalles del Estado"
    - var TamanoColeccion = "tEstado.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tEstadoFor of tEstado | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Estado_Eliminar(tEstadoFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Estado(tEstadoFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap  [{{ tEstadoFor.Codpais}}] {{ tEstadoFor.Descripcion_pais | slice:0:20 }}
        td
            h6.text-xs {{ tEstadoFor.Codestado }}
        td
            h6.text-xs.text-nowrap {{ tEstadoFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-estado-cabecera([(Estado)]="tEstadoActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-estado-detalle([(Estado)]="tEstadoActual",
                                [Paises]="tPaises",
                                [Nuevo]="tNuevo")
